This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1316467 - Bad metadata of returned entity
Bad metadata of returned entity
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:50 EST by Juraj Duráni
Modified: 2016-06-03 17:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-18 15:41:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4037 Major Closed Bad metadata of returned entity 2016-06-03 17:03 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 05:50:29 EST
Description of problem:
Odata response contains bad metadata seee [1]:
*URL:* http://localhost:8080/odata4/olingo_basic/Source/Customers(1)/Orders_FK0(1)
*Actual metadata:* $metadata#Orders/$entity
*Expected metadata:* $metadata#Customer(1)/Orders/$entity

*URL:* http://localhost:8080/odata4/olingo_basic/Source/Customers(1)/Orders_FK0
*Actual metadata:* $metadata#Orders/$entity
*Expected metadata:* $metadata#Customer(1)/Orders

[1] http://docs.oasis-open.org/odata/odata/v4.0/errata02/os/complete/part1-protocol/odata-v4.0-errata02-os-part1-protocol-complete.html#_Toc406398268
Comment 1 JBoss JIRA Server 2016-03-10 19:02:38 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4037 to Resolved
Comment 2 Van Halbert 2016-03-18 15:41:09 EDT
See TEIID_4037 for details on usage.
Comment 3 JBoss JIRA Server 2016-06-03 17:03:40 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4037 to Closed

Note You need to log in before you can comment on or make changes to this bug.